<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Spinner mientras se carga imagen</title>
    <style>
        #spinner {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }

        #spinner .spinner {
            width: 50px;
            height: 50px;
            border: 5px solid #ccc;
            border-top-color: #333;
            border-radius: 50%;
            animation: spin 1s linear infinite;
        }

        @keyframes spin {
            to {
                transform: rotate(360deg);
            }
        }
    </style>
</head>

<body>
    <button id="button">Cargar imagen</button>
    <div id="spinner" style="display:none;">
        <div class="spinner"></div>
    </div>
    <img id="image" src="" style="display:none;">

    <script>
        const button = document.getElementById('button');
        const spinner = document.getElementById('spinner');
        const image = document.getElementById('image');

        button.addEventListener('click', function () {
            spinner.style.display = 'block'; // Mostrar el spinner cuando se hace clic en el botón

            image.onload = function () {
                spinner.style.display = 'none'; // Ocultar el spinner cuando la imagen se haya cargado
                image.style.display = 'block'; // Mostrar la imagen cuando se haya cargado
            }

            image.src = 'https://placeimg.com/640/480/people'; // Cargar la imagen
            //image.src = 'https://unsplash.com/s/photos/random';
            //https://unsplash.com/s/photos/random
        });
    </script>
</body>

</html>